Documentation: NexSlider Class Reference

| Documentation For Arduino users

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NexSlider Class Reference
Nextion Component

NexSlider component. More...

`#include <NexSlider.h>`

Inherits NexTouch.

## Public Member Functions

| NexSlider (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
bool | getValue (uint32_t *number)
| Get the value of slider. More...
bool | setValue (uint32_t number)
| Set the value of slider. More...
uint32_t | Get_background_color_bco (uint32_t *number)
| Get bco attribute of component. More...
bool | Set_background_color_bco (uint32_t number)
| Set bco attribute of component. More...
uint32_t | Get_font_color_pco (uint32_t *number)
| Get pco attribute of component. More...
bool | Set_font_color_pco (uint32_t number)
| Set pco attribute of component. More...
uint32_t | Get_pointer_thickness_wid (uint32_t *number)
| Get wid attribute of component. More...
bool | Set_pointer_thickness_wid (uint32_t number)
| Set wid attribute of component. More...
uint32_t | Get_cursor_height_hig (uint32_t *number)
| Get hig attribute of component. More...
bool | Set_cursor_height_hig (uint32_t number)
| Set hig attribute of component. More...
uint32_t | getMaxval (uint32_t *number)
| Get maxval attribute of component. More...
bool | setMaxval (uint32_t number)
| Set maxval attribute of component. More...
uint32_t | getMinval (uint32_t *number)
| Get minval attribute of component. More...
bool | setMinval (uint32_t number)
| Set minval attribute of component. More...
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
| Attach an callback function of push touch event. More...
void | detachPush (void)
| Detach an callback function. More...
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
| Attach an callback function of pop touch event. More...
void | detachPop (void)
| Detach an callback function. More...
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

NexSlider component.

Definition at line 30 of file NexSlider.h.

## Constructor & Destructor Documentation

NexSlider::NexSlider | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 17 of file NexSlider.cpp.

## Member Function Documentation

uint32_t NexSlider::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 45 of file NexSlider.cpp.

uint32_t NexSlider::Get_cursor_height_hig | ( | uint32_t * | number | ) |

Get hig attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 129 of file NexSlider.cpp.

uint32_t NexSlider::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 73 of file NexSlider.cpp.

uint32_t NexSlider::Get_pointer_thickness_wid | ( | uint32_t * | number | ) |

Get wid attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 101 of file NexSlider.cpp.

uint32_t NexSlider::getMaxval | ( | uint32_t * | number | ) |

Get maxval attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 157 of file NexSlider.cpp.

uint32_t NexSlider::getMinval | ( | uint32_t * | number | ) |

Get minval attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 185 of file NexSlider.cpp.

bool NexSlider::getValue | ( | uint32_t * | number | ) |

Get the value of slider.

Parameters

  number | - an output parameter to save the value of slider.

Return values

  true | - success.
  false | - failed.

Definition at line 22 of file NexSlider.cpp.

bool NexSlider::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 55 of file NexSlider.cpp.

bool NexSlider::Set_cursor_height_hig | ( | uint32_t | number | ) |

Set hig attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 139 of file NexSlider.cpp.

bool NexSlider::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 83 of file NexSlider.cpp.

bool NexSlider::Set_pointer_thickness_wid | ( | uint32_t | number | ) |

Set wid attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 111 of file NexSlider.cpp.

bool NexSlider::setMaxval | ( | uint32_t | number | ) |

Set maxval attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 167 of file NexSlider.cpp.

bool NexSlider::setMinval | ( | uint32_t | number | ) |

Set minval attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 195 of file NexSlider.cpp.

bool NexSlider::setValue | ( | uint32_t | number | ) |

Set the value of slider.

Parameters

  number | - the value of slider.

Return values

  true | - success.
  false | - failed.

Definition at line 31 of file NexSlider.cpp.

The documentation for this class was generated from the following files:

- NexSlider.h
- NexSlider.cpp